Update a workflow Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
PUT /api/v1/workflow/{uuid}

Path parameters

  • uuid string Required
application/json

Body

  • name string Required

    The name of the workflow, must be unique.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      UUID of the account

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • name string

      Name of the workflow

    • type string

      The type of workflow.

    • tasks_count integer

      The number of tasks on the workflow.

  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
PUT /api/v1/workflow/{uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v1/workflow/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"name":"Pension Review"}'
Request examples
{
  "name": "Pension Review"
}
Response examples (200)
{
  "uuid": "25379f95-bfd0-4d8b-bd40-34d35b61a491",
  "created_at": "2026-08-07T15:29:25+01:00",
  "updated_at": "2026-08-07T15:29:25+01:00",
  "name": "Pension Transfer",
  "type": "simple",
  "tasks_count": 5
}
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}